VERSION 4.00
Begin VB.Form verusr 
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   Caption         =   "Verify User"
   ClientHeight    =   1950
   ClientLeft      =   2115
   ClientTop       =   2865
   ClientWidth     =   5640
   BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   2640
   Left            =   2055
   LinkTopic       =   "Form1"
   ScaleHeight     =   1950
   ScaleWidth      =   5640
   Top             =   2235
   Width           =   5760
   Begin VB.TextBox eFrom 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   1920
      TabIndex        =   5
      Top             =   480
      Width           =   2775
   End
   Begin VB.TextBox eUser 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   1920
      TabIndex        =   2
      Top             =   840
      Width           =   2775
   End
   Begin VB.TextBox eServer 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   1920
      TabIndex        =   1
      Top             =   120
      Width           =   2775
   End
   Begin VB.TextBox eResult 
      Appearance      =   0  'Flat
      Height          =   615
      Left            =   120
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   1200
      Width           =   5415
   End
   Begin VB.Label lFrom 
      Alignment       =   1  'Right Justify
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Email From"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   600
      TabIndex        =   6
      Top             =   480
      Width           =   1095
   End
   Begin VB.Label lUser 
      Alignment       =   1  'Right Justify
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "User"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   600
      TabIndex        =   4
      Top             =   840
      Width           =   1095
   End
   Begin VB.Label lServer 
      Alignment       =   1  'Right Justify
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "SMTP Server"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   240
      TabIndex        =   3
      Top             =   120
      Width           =   1455
   End
   Begin VB.Menu mVerify 
      Caption         =   "Verify"
   End
   Begin VB.Menu mExit 
      Caption         =   "Exit"
   End
End
Attribute VB_Name = "verusr"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

Private Sub Form_Load()
Dim Code As Long
Dim Version As Long
Dim S1, S2, S3 As String
eResult.Visible = True
Code = seeAttach(1, SEE_KEY_CODE)
Version = seeStatistics(0, SEE_GET_VERSION)
S1 = "SMTP/POP3 Email Engine Version "
S2 = Hex$(Version)
S3 = Mid$(S2, 1, 1) + "." + Mid$(S2, 2, 1) + "." + Mid$(S2, 3, 1)
eResult.Text = S1 + S3 + ". Ready to connect."
End Sub

Private Sub mExit_Click()
Dim Code As Long
Code = seeClose(0)
Code = seeRelease()
End
End Sub

Private Sub mVerify_Click()
Dim Code As Long
Dim NullString As String
Dim Temp As String * 256
Dim NL As String

NullString = Chr$(0)
NL = Chr$(13) + Chr$(10)
eResult.Text = ""

'check that SMTP server name has been specifed

If Len(eServer.Text) = 0 Then
  eResult.Text = Time$ & " Your SMTP server is not specified."
  Exit Sub
End If

'check that user name has been specifed

If Len(eUser.Text) = 0 Then
  eResult.Text = Time$ & " The user is not specified."
  Exit Sub
End If

If InStr(eUser.Text, "<") <> 0 Then
  eResult.Text = Time$ & "Don't specify '<>' brackets in 'User'."
  Exit Sub
End If

'check "From" email address

If Len(eFrom.Text) = 0 Then
  eResult.Text = Time$ & " Missing 'Email From' address."
  Exit Sub
Else
  Code = seeVerifyFormat(eFrom.Text)
  If Code < 0 Then
    'error in format
    Call ShowError(verusr, Code, "From address: ")
    Exit Sub
  End If
End If

' set up log file

Code = seeStringParam(0, SEE_LOG_FILE, "VERUSR.LOG")

'connect to server

Screen.MousePointer = 11
mVerify.Enabled = False
DoEvents

eResult.Text = Time$ & " Connecting to SMTP server " & eServer.Text
Code = seeSmtpConnect(0, eServer.Text, eFrom.Text, NullString)
If Code < 0 Then
  'error attempting to connect
  Call ShowError(verusr, Code, "seeSmtpConnect: ")
  mVerify.Enabled = True
  Screen.MousePointer = 0
  Code = seeClose(0)
  Exit Sub
End If

' get server IP address

Code = seeDebug(0, SEE_GET_SERVER_IP, Temp, 40)
eResult.Text = Time$ & " Connected to IP " & Left$(Temp, Code)

' verify user with SMTP server

Code = seeVerifyUser(0, eUser.Text)
If Code = 0 Then
  Code = seeDebug(0, SEE_GET_LAST_RESPONSE, Temp, 80)
  eResult = eUser.Text & " is NOT verified" & NL & Temp
Else
  eResult = eUser.Text & " is verified"
End If
Screen.MousePointer = 0
Code = seeClose(0)
End Sub

